<div class="modal fade" id="k8sResourceRequestModal" tabindex="-1" aria-labelledby="k8sResourceRequestModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <form
      class="modal-content"
      method="post"
    >
      {% csrf_token %}
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="k8sResourceRequestModalLabel">K8s resource request for <span class="app-name"></span></h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>

      <div class="modal-body">
        <p class="fw-lighter fst-italic fs-80percent">Requested by <span class="submitted-by"></span>. Latest updated at <span class="last-updated"></span></p>

        <div class="mb-3">
          <label for="replicas" class="form-label fw-semibold">Replicas (Current quota: <span class="current-quota-replicas"></span>)</label>
          <input type="number" name="replicas" min="1" max="10" class="replicas form-control" placeholder="Between 1 and 10">
        </div>

        <div class="mb-3">
          <label class="form-label fw-semibold">Justification</label>
          <p class="justification"></p>
        </div>
      </div>

      <div class="modal-footer d-flex flex-column align-items-start">
        <div class="w-100">
          <div class="mb-3">
            <label for="reply" class="form-label fw-semibold">Your reply (optional)</label>
            <textarea class="reply form-control" rows="4" name="reply" placeholder="Additional comments to the submitter"></textarea>
          </div>

          <div class="d-flex flex-row gap-1 justify-content-end">
            <button type="submit" name="action" value="approve" class="btn btn-sm btn-primary">Approve</button>
            <button type="submit" name="action" value="reject" class="btn btn-sm btn-danger">Reject</button>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
